Subject: Re: bug#23457: 24.5; interactive use of next-line and previous-line (holding down C-n or C-p) lag in a buffer with all spaces and newlines

From: Eli Zaretskii <[email-masked]>
Date: Thu, 05 May 2016 22:26:13 +0300

[Please keep the bug address on the CC line.]

> From: James McClain <[email-masked]>
> Date: Thu, 5 May 2016 11:07:23 -0700
> 
> I expanded the window to full screen after using emacs -Q, then split
> it vertically to get that size. But I did start it with emacs -Q.
> I just tested it on emacs-25.0.93-x86_64-w64-mingw32, starting with
> .\emacs-25.0.93.exe -Q, and without changing the window size.
> window body width is 80, window body height is 34.
> Exactly what I did:
> .\emacs-25.0.93.exe -Q
> C-x b test-2 <ret> <ret> (to confirm)
> f3 to start a macro
> spaces until it would force a wrap (I do this by pressing space until
> I see it wrap, then backspacing by 1)
> C-j for a newline
> Then I repeat this until I have a bunch of lines of just spaces, in
> this case I did 67.
> Try holding C-p to move, and I experience a lot of lag.

Well, like I said: it doesn't happen here.  Not sure what else to try.

Did you look into the Emacs display features, like ClearType, in case
you have that turned on?